KDE 4.7 PyKDE API Reference

- KDE's Python API

# SimpleNodeIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.NodeIterator
Namespace: Soprano.Util

## Detailed Description

\class SimpleNodeIterator simplenodeiterator.h Soprano/Util/SimpleNodeIterator

The most simple version of a NodeIterator simply iterates over a list of Nodes.

The SimpleNodeIterator has been designed as a trivial extension to NodeIterator and can be used as a drop-in-replacement as shown below:

     QList<Node> list;
     SimpleNodeIterator it( list );

     // it and it2 iterate over the exact same data
     NodeIterator it2 = it;

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods
| __init__ (self)
| __init__ (self, [Soprano.Node] a0)
| __init__ (self, Soprano.Util.SimpleNodeIterator a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | [Soprano.Node] | a0
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.Util.SimpleNodeIterator | a0
| ) |  |  |